#!/usr/bin/env kjscmd
var mw = new KMainWindow(this);
var hbox = new QHBox( mw );

var f1 = new QLabel( hbox );
f1.frameShape = QLabel.Box;
f1.frameShadow = QLabel.Raised;
f1.lineWidth = 4;
f1.margin = 4;
f1.midLineWidth = 1;
f1.paletteBackgroundColor = "red";
f1.text = "Frame 1";

var f2 = new QLabel( hbox );
f2.frameShape = QLabel.WinPanel;
f2.frameShadow = QLabel.Sunken;
f2.lineWidth = 4;
f2.margin = 4;
f2.midLineWidth = 1;
f2.paletteBackgroundColor = "white";
f2.text = "Frame 2";

var f3 = new QLabel( hbox );
f3.frameShape = QLabel.Box;
f3.lineWidth = 4;
f3.margin = 4;
f3.midLineWidth = 1;
f3.paletteBackgroundColor = "blue";
f3.text = "Frame 3";

mw.setCentralWidget(hbox);
mw.show();
application.exec();
